---
title: ArrayBufferView
slug: Web/API/ArrayBufferView
tags:
  - API
  - Interface
  - JavaScript
  - Reference
  - Typed Arrays
---
<p>{{JSRef("Global_Objects", "TypedArray", "Int8Array,Uint8Array,Uint8ClampedArray,Int16Array,Uint16Array,Int32Array,Uint32Array,Float32Array,Float64Array")}}</p>

<p><code><strong>ArrayBufferView</strong></code> is a helper type representing any of the following JavaScript {{jsxref("TypedArray")}} types:</p>

<ul>
 <li>{{jsxref("Int8Array")}},</li>
 <li>{{jsxref("Uint8Array")}},</li>
 <li>{{jsxref("Uint8ClampedArray")}},</li>
 <li>{{jsxref("Int16Array")}},</li>
 <li>{{jsxref("Uint16Array")}},</li>
 <li>{{jsxref("Int32Array")}},</li>
 <li>{{jsxref("Uint32Array")}},</li>
 <li>{{jsxref("Float32Array")}},</li>
 <li>{{jsxref("Float64Array")}} or</li>
 <li>{{jsxref("DataView")}}.</li>
</ul>

<p>This is a helper type to simplify the specification; it isn't an interface, and there are no objects implementing it.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebIDL', "#ArrayBufferView", "ArrayBufferView")}}</td>
   <td>{{Spec2('WebIDL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>
